必须先在两个 Site Recovery Manager 站点上执行一些预备性任务,然后才能升级 Site Recovery Manager

先决条件

  • 由于更新版本计划,所有 5.1.x 和 5.5.x 版本均不支持升级到特定 Site Recovery Manager 5.8.x 更新版本。有关受支持升级路径的信息,请在升级之前查看 VMware 产品互操作性列表(网址为 http://partnerweb.vmware.com/comp_guide2/sim/interop_matrix.php?)中的解决方案升级路径 > VMware vCenter Site Recovery Manager

    重要:

    不支持从 Site Recovery Manager 5.0.x 升级到 Site Recovery Manager 5.8。在升级到 Site Recovery Manager 5.8 之前,请将 Site Recovery Manager 5.0.x 升级到 Site Recovery Manager 5.5.x 版本。有关从 5.0.x 升级到 5.5.x 的信息,请参阅 Site Recovery Manager 5.5 文档中的升级 Site Recovery Manager

  • 如果使用基于证书的身份验证,则将远程站点的证书提供给每个站点上的 vSphere Web Client 服务。请参见为 vSphere Web Client 提供受信任的 CA 证书

  • 要将 Site Recovery Manager 用于 vSphere Replication,应在升级 Site Recovery Manager Server 之前,在受保护站点和恢复站点上部署相应版本的 vSphere ReplicationSite Recovery Manager 安装程序在安装期间验证 vSphere Replication 的版本,如果检测到不兼容的版本,则安装程序会停止。如果在升级 Site Recovery Manager Server 之后安装 vSphere Replication,则不会执行此验证,这可能导致出现版本不兼容问题。如果 Site Recovery ManagervSphere Replication 版本不兼容,会导致 vSphere Web Client 停止工作。有关 vSphere ReplicationSite Recovery Manager 版本之间的兼容性的信息,请参见vCenter Site Recovery Manager 5.8 的兼容性列表中的“vSphere Replication 要求”,网址为 https://www.vmware.com/support/srm/srm-compat-matrix-5-8.html

  • 如果站点上已有 vSphere Replication 设备,必须将其升级到正确版本,或者从两个 vCenter Server 实例中取消注册这些设备,然后再升级 Site Recovery Manager。如果 Site Recovery ManagervSphere Replication 版本不兼容,会导致 vSphere Web Client 停止工作。请参见取消注册不兼容版本的 vSphere Replication

  • 不支持将数据从外部数据库迁移至嵌入式数据库。有关如何备份嵌入式数据库的信息,请参见备份和还原嵌入式 vPostgres 数据库

  • 重要:

    确认恢复计划上没有挂起的清理操作,且受 Site Recovery Manager 保护的虚拟机没有配置问题。

    • 所有恢复计划都处于就绪状态。

    • 所有保护组的保护状态良好。

    • 保护组中所有虚拟机的保护状态良好。

    • 所有保护组的恢复状态为就绪。

  • 如果在现有安装中配置了高级设置,请在升级前记下配置的那些设置。

  • 升级 Site Recovery Manager 时,本地和远程 vCenter Server 实例必须处于运行状态。

  • 先在一个站点上升级所有 vCenter Server 组件和 Site Recovery Manager,然后再在另一个站点上升级 vCenter ServerSite Recovery Manager

  • Site Recovery Manager 安装文件下载到要升级 Site Recovery Manager 的计算机上的某个文件夹中。

  • 确认在要安装 Site Recovery Manager Server 的 Windows 计算机上没有挂起的重新引导。确认没有其他正在运行的安装,包括 Windows 更新的静默安装。等待重新引导或正在运行的安装可能会导致 Site Recovery Manager Server 安装失败。

过程

  1. 使用数据库软件提供的工具备份 Site Recovery Manager 数据库。
  2. 升级 vCenter Server

    Site Recovery Manager 5.8.0 需要 vCenter Server 5.5 update 2。有关 vCenter ServerSite Recovery Manager 5.8 更新版本之间的兼容性的信息,请参见vCenter Site Recovery Manager 5.8 的兼容性列表中的“vCenter Server 要求”,网址为 https://www.vmware.com/support/srm/srm-compat-matrix-5-8.html

    重要:

    必须升级 vCenter Server 的所有组件,包括 Inventory Service 以及 vCenter Server 本身。

  3. 升级 vSphere Web Client 服务器。

    Site Recovery Manager 5.8 需要相应版本的 vSphere Web ClientSite Recovery Manager 5.8 不支持适用于 Windows 的 vSphere Client。

  4. 升级 vSphere Replication

    Site Recovery Manager 5.8.0 需要 vSphere Replication 5.8.0。如果无法升级 vSphere Replication,则必须从 vCenter Server 取消注册 vSphere Replication 设备。